Package org.gradle.workers

# Class WorkParameters.None

java.lang.Object
org.gradle.workers.WorkParameters.None

All Implemented Interfaces:
  `WorkParameters`

Enclosing interface:
  `WorkParameters`

public static final class WorkParameters.None extends Object implements WorkParameters
Used for work actions without parameters.

When `WorkParameters.None` is used as parameters, calling `WorkAction.getParameters()` throws an exception.

Since:
  5.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.workers.WorkParameters

  `WorkParameters.None`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`